%define oname   gWakeOnLAN

Name:           gwakeonlan
Version:        0.6.3
Release:        %mkrel 2
Summary:        A GTK+ utility to awake machines using the Wake on LAN
Group:          Networking/Other
License:        GPLv2
URL:            http://www.muflone.com/gwakeonlan/
Source0:        https://github.com/muflone/gwakeonlan/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(pyxdg)
Requires:       pygtk2.0

%description
gWakeOnLan is a GTK+ utility to awake turned off machines using
the Wake On LAN feature.
It allows to turn on machines in the local network or throught
Internet using a destination host and a specified UDP port number.
The machines to turn on need to be shut off with the Wake on LAN
magic packet enabled.
If WOL is available on your computer, do not forget to enable it
on the BIOS.

%prep
%setup -q 

# fix permissions
chmod 0644 data/%{name}.desktop

%build
%py2_build

%install
%py2_install

%find_lang %{name}

%files -f %{name}.lang
%doc LEGGIMI.md README.md doc/*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1*
%{python2_sitelib}/%{name}/
%{python2_sitelib}/%{oname}-%{version}-py%{python2_version}.egg-info


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 0.6.3-2.mga6
+ Revision: 971744
- Mageia 6 Mass Rebuild

* Mon Oct 19 2015 daviddavid <daviddavid> 0.6.3-1.mga6
+ Revision: 892612
- new version: 0.6.3
- update URL and Source URL
- use more new python2 macros
- update file list

* Sun Oct 18 2015 daviddavid <daviddavid> 0.5.1-9.mga6
+ Revision: 892601
- make it noarch thus fixing empty debuginfo
- use new python macros
- use find_lang macro

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-8.mga5
+ Revision: 748764
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.1-7.mga5
+ Revision: 726456
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-6.mga5
+ Revision: 680058
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.5.1-5.mga5
+ Revision: 628247
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.5.1-4.mga4
+ Revision: 542683
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.5.1-3.mga4
+ Revision: 497771
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Jan 12 2013 umeabot <umeabot> 0.5.1-2.mga3
+ Revision: 353057
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 dams <dams> 0.5.1-1.mga2
+ Revision: 220221
- imported package gwakeonlan

